All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::ilut_precond< MatrixT > Class Template Reference

ILUT preconditioner class, can be supplied to solve()-routines. More...

`#include <ilut.hpp>`

## Public Member Functions

| ilut_precond (MatrixT const &mat, ilut_tag const &tag)
template<typename VectorT >
void | apply (VectorT &vec) const

## Detailed Description

### template<typename MatrixT>
class viennacl::linalg::ilut_precond< MatrixT >

ILUT preconditioner class, can be supplied to solve()-routines.

Examples:
  iterative-ublas.cpp, iterative.cpp, and spai.cpp.

Definition at line 352 of file ilut.hpp.

## Constructor & Destructor Documentation

template<typename MatrixT>

viennacl::linalg::ilut_precond< MatrixT >::ilut_precond | ( | MatrixT const & | mat,
|  | ilut_tag const & | tag
| ) |  |

inline

Definition at line 357 of file ilut.hpp.

## Member Function Documentation

template<typename MatrixT>
template<typename VectorT >

void viennacl::linalg::ilut_precond< MatrixT >::apply | ( | VectorT & | vec | ) | const

inline

Definition at line 366 of file ilut.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/detail/ilu/ilut.hpp